WordPress.org

Make WordPress Core


Ignore:
Timestamp:
02/07/2019 09:01:10 AM (13 months ago)
Author:
youknowriad
Message:

Block Editor: Update WordPress Packages to solve PHP 5.2.2 parser incompatibility.

Updated:

  • @wordpress/block-library@2.2.16
  • @wordpress/block-serialization-default-parser@2.0.5
  • @wordpress/blocks@6.0.7
  • @wordpress/edit-post@3.1.11
  • @wordpress/editor@9.0.11
  • @wordpress/format-library@1.2.14

Props pento.
Fixes #46200.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/wp-includes/class-wp-block-parser.php

    r44389 r44729  
    411411         */
    412412        $has_match = preg_match(
    413             '/<!--\s+(?<closer>\/)?wp:(?<namespace>[a-z][a-z0-9_-]*\/)?(?<name>[a-z][a-z0-9_-]*)\s+(?<attrs>{(?:(?:[^}]+|}+(?=})|(?!}\s+\/?-->).)*+)?}\s+)?(?<void>\/)?-->/s',
     413            '/<!--\s+(?P<closer>\/)?wp:(?P<namespace>[a-z][a-z0-9_-]*\/)?(?P<name>[a-z][a-z0-9_-]*)\s+(?P<attrs>{(?:(?:[^}]+|}+(?=})|(?!}\s+\/?-->).)*+)?}\s+)?(?P<void>\/)?-->/s',
    414414            $this->document,
    415415            $matches,
Note: See TracChangeset for help on using the changeset viewer.